<head>
<style>
    span{
        color:rgb(168, 45, 192);
    }
</style>
<script>
    function hello() {
        
        var customer_name = document.getElementById("customer_name").value;
        var mobile_no = document.getElementById("mobile_no").value;
        var Address = document.getElementById("Address").value;
        var count = 0;
        if (customer_name == "") {
            document.getElementById("error1").innerHTML = "please enter customer_name!";
            count++;
        } else {
        
            document.getElementById("error1").innerHTML = "";
        }
        if (mobile_no == "") {
            document.getElementById("error2").innerHTML = "please enter mobile_no!";
            count++;
        }else if(mobile_no.length < 10 || mobile_no.length >10){
            document.getElementById("error2").innerHTML = "max-length and min length of mobile_no is 10. !";
            count++;
        } else {
        
            document.getElementById("error2").innerHTML = "";
        }
        if (Address == "") {
            document.getElementById("error3").innerHTML = "please enter Address!";
            count++;
        } else {
        
            document.getElementById("error3").innerHTML = "";
        }
        if (count > 0) {
            return false;
        }
      }
</script>
</head>
<body>
<form method="POST" action="/purchase" onsubmit="return hello()">
    <div class="box-form">
        <div class="right">
            <h2>Buy Product
            <a href="/all-products" style="text-decoration:none; color:purple;margin-left:1100px;" onMouseOver="this.style.color='silver'" onMouseOut="this.style.color='purple'">back to products</a></h2>
                <div class="inputs">
                    <input type="text" name="name" placeholder="Category Name" value="<%=product.category_name.name%>" disabled>
                    <input type="text" name="name" placeholder="Sub Category Name" value="<%=product.name%>" disabled>
                    <input type="text" name="sub_category_id" placeholder="Sub Category Id" value="<%= product.id%>" style="display: none;">
                    <input type="text" name="model_details" placeholder="Model Details" value="<%= product.model_details%>" disabled>
                    <input type="text" name="description" placeholder="Description" value="<%= product.description%>" disabled>
                    <input type="text" name="photo" placeholder="Photo" value="<%= product.photo%>" disabled>
                    <input type="number" placeholder="Price" value="<%= product.price%>" disabled>
                    <input type="number" name="price" placeholder="Price" value="<%= product.price%>" style="display: none;">
                    <input type="text" name="customer_name" placeholder="Customer Name" id="customer_name">
                    <span id="error1"></span>
                    <input type="number" name="mobile_no" placeholder="Mobile No." id="mobile_no">
                    <span id="error2"></span>
                    <input type="text" name="address" placeholder="Address" id="Address">
                    <span id="error3"></span>
                    <br><br>
                </div>
           
            <button onMouseOver="this.style.color='black'" onMouseOut="this.style.color='white'" type="submit">Buy</button>
            
        </div>
    </div>
</form>